GDB (xrefs)

Public Attributes | List of all members
gate_descr Struct Reference

## Public Attributes
unsigned short | offset0
unsigned short | selector
unsigned | param_count:5
unsigned | dummy:3
unsigned | stype:5
unsigned | dpl:2
unsigned | present:1
unsigned short | offset1

## Detailed Description

Definition at line 1434 of file go32-nat.c.

## Member Data Documentation

## ◆ dpl

unsigned gate_descr::dpl

Definition at line 1440 of file go32-nat.c.

## ◆ dummy

unsigned gate_descr::dummy

Definition at line 1438 of file go32-nat.c.

## ◆ offset0

unsigned short gate_descr::offset0

Definition at line 1435 of file go32-nat.c.

Referenced by display_descriptor().

## ◆ offset1

unsigned short gate_descr::offset1

Definition at line 1442 of file go32-nat.c.

Referenced by display_descriptor().

## ◆ param_count

unsigned gate_descr::param_count

Definition at line 1437 of file go32-nat.c.

Referenced by display_descriptor().

## ◆ present

unsigned gate_descr::present

Definition at line 1441 of file go32-nat.c.

## ◆ selector

unsigned short gate_descr::selector

Definition at line 1436 of file go32-nat.c.

Referenced by display_descriptor().

## ◆ stype

unsigned gate_descr::stype

Definition at line 1439 of file go32-nat.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/go32-nat.c